Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network188.3.64.0/20
Usable hosts4,094
Subnet mask255.255.240.0
Addresses4,096
Network address
188.3.64.0
Broadcast address
188.3.79.255
First usable
188.3.64.1
Last usable
188.3.79.254
Usable hosts
4,094 (4,096 less the network and broadcast addresses)
Subnet mask
255.255.240.0
Wildcard mask
0.0.15.255 (Cisco ACLs, OSPF)
Prefix length
/20
Type
Public public
Old class
B (default /16)
As numbers
Hex BC034000 · Integer 3154329600 to 3154333695
Reverse DNS zones
64.3.188.in-addr.arpa
65.3.188.in-addr.arpa
66.3.188.in-addr.arpa
67.3.188.in-addr.arpa
68.3.188.in-addr.arpa
69.3.188.in-addr.arpa
70.3.188.in-addr.arpa
71.3.188.in-addr.arpa
72.3.188.in-addr.arpa
73.3.188.in-addr.arpa
74.3.188.in-addr.arpa
75.3.188.in-addr.arpa
76.3.188.in-addr.arpa
77.3.188.in-addr.arpa
78.3.188.in-addr.arpa
79.3.188.in-addr.arpa
/20 is not on a 8-bit boundary, so it takes 16 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10111100.00000011.01000000.00000000188.3.64.0
Subnet mask11111111.11111111.11110000.00000000255.255.240.0
Network10111100.00000011.01000000.00000000188.3.64.0
Broadcast10111100.00000011.01001111.11111111188.3.79.255
Split into smaller subnets/30

188.3.64.0/20 makes 1,024 subnets of /30; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1188.3.64.0/30188.3.64.1 to 188.3.64.2188.3.64.32
2188.3.64.4/30188.3.64.5 to 188.3.64.6188.3.64.72
3188.3.64.8/30188.3.64.9 to 188.3.64.10188.3.64.112
4188.3.64.12/30188.3.64.13 to 188.3.64.14188.3.64.152
5188.3.64.16/30188.3.64.17 to 188.3.64.18188.3.64.192
6188.3.64.20/30188.3.64.21 to 188.3.64.22188.3.64.232
7188.3.64.24/30188.3.64.25 to 188.3.64.26188.3.64.272
8188.3.64.28/30188.3.64.29 to 188.3.64.30188.3.64.312
9188.3.64.32/30188.3.64.33 to 188.3.64.34188.3.64.352
10188.3.64.36/30188.3.64.37 to 188.3.64.38188.3.64.392
11188.3.64.40/30188.3.64.41 to 188.3.64.42188.3.64.432
12188.3.64.44/30188.3.64.45 to 188.3.64.46188.3.64.472
13188.3.64.48/30188.3.64.49 to 188.3.64.50188.3.64.512
14188.3.64.52/30188.3.64.53 to 188.3.64.54188.3.64.552
15188.3.64.56/30188.3.64.57 to 188.3.64.58188.3.64.592
16188.3.64.60/30188.3.64.61 to 188.3.64.62188.3.64.632
17188.3.64.64/30188.3.64.65 to 188.3.64.66188.3.64.672
18188.3.64.68/30188.3.64.69 to 188.3.64.70188.3.64.712
19188.3.64.72/30188.3.64.73 to 188.3.64.74188.3.64.752
20188.3.64.76/30188.3.64.77 to 188.3.64.78188.3.64.792
21188.3.64.80/30188.3.64.81 to 188.3.64.82188.3.64.832
22188.3.64.84/30188.3.64.85 to 188.3.64.86188.3.64.872
23188.3.64.88/30188.3.64.89 to 188.3.64.90188.3.64.912
24188.3.64.92/30188.3.64.93 to 188.3.64.94188.3.64.952
25188.3.64.96/30188.3.64.97 to 188.3.64.98188.3.64.992
26188.3.64.100/30188.3.64.101 to 188.3.64.102188.3.64.1032
27188.3.64.104/30188.3.64.105 to 188.3.64.106188.3.64.1072
28188.3.64.108/30188.3.64.109 to 188.3.64.110188.3.64.1112
29188.3.64.112/30188.3.64.113 to 188.3.64.114188.3.64.1152
30188.3.64.116/30188.3.64.117 to 188.3.64.118188.3.64.1192
31188.3.64.120/30188.3.64.121 to 188.3.64.122188.3.64.1232
32188.3.64.124/30188.3.64.125 to 188.3.64.126188.3.64.1272
33188.3.64.128/30188.3.64.129 to 188.3.64.130188.3.64.1312
34188.3.64.132/30188.3.64.133 to 188.3.64.134188.3.64.1352
35188.3.64.136/30188.3.64.137 to 188.3.64.138188.3.64.1392
36188.3.64.140/30188.3.64.141 to 188.3.64.142188.3.64.1432
37188.3.64.144/30188.3.64.145 to 188.3.64.146188.3.64.1472
38188.3.64.148/30188.3.64.149 to 188.3.64.150188.3.64.1512
39188.3.64.152/30188.3.64.153 to 188.3.64.154188.3.64.1552
40188.3.64.156/30188.3.64.157 to 188.3.64.158188.3.64.1592
41188.3.64.160/30188.3.64.161 to 188.3.64.162188.3.64.1632
42188.3.64.164/30188.3.64.165 to 188.3.64.166188.3.64.1672
43188.3.64.168/30188.3.64.169 to 188.3.64.170188.3.64.1712
44188.3.64.172/30188.3.64.173 to 188.3.64.174188.3.64.1752
45188.3.64.176/30188.3.64.177 to 188.3.64.178188.3.64.1792
46188.3.64.180/30188.3.64.181 to 188.3.64.182188.3.64.1832
47188.3.64.184/30188.3.64.185 to 188.3.64.186188.3.64.1872
48188.3.64.188/30188.3.64.189 to 188.3.64.190188.3.64.1912
49188.3.64.192/30188.3.64.193 to 188.3.64.194188.3.64.1952
50188.3.64.196/30188.3.64.197 to 188.3.64.198188.3.64.1992
51188.3.64.200/30188.3.64.201 to 188.3.64.202188.3.64.2032
52188.3.64.204/30188.3.64.205 to 188.3.64.206188.3.64.2072
53188.3.64.208/30188.3.64.209 to 188.3.64.210188.3.64.2112
54188.3.64.212/30188.3.64.213 to 188.3.64.214188.3.64.2152
55188.3.64.216/30188.3.64.217 to 188.3.64.218188.3.64.2192
56188.3.64.220/30188.3.64.221 to 188.3.64.222188.3.64.2232
57188.3.64.224/30188.3.64.225 to 188.3.64.226188.3.64.2272
58188.3.64.228/30188.3.64.229 to 188.3.64.230188.3.64.2312
59188.3.64.232/30188.3.64.233 to 188.3.64.234188.3.64.2352
60188.3.64.236/30188.3.64.237 to 188.3.64.238188.3.64.2392
61188.3.64.240/30188.3.64.241 to 188.3.64.242188.3.64.2432
62188.3.64.244/30188.3.64.245 to 188.3.64.246188.3.64.2472
63188.3.64.248/30188.3.64.249 to 188.3.64.250188.3.64.2512
64188.3.64.252/30188.3.64.253 to 188.3.64.254188.3.64.2552
65188.3.65.0/30188.3.65.1 to 188.3.65.2188.3.65.32
66188.3.65.4/30188.3.65.5 to 188.3.65.6188.3.65.72
67188.3.65.8/30188.3.65.9 to 188.3.65.10188.3.65.112
68188.3.65.12/30188.3.65.13 to 188.3.65.14188.3.65.152
69188.3.65.16/30188.3.65.17 to 188.3.65.18188.3.65.192
70188.3.65.20/30188.3.65.21 to 188.3.65.22188.3.65.232
71188.3.65.24/30188.3.65.25 to 188.3.65.26188.3.65.272
72188.3.65.28/30188.3.65.29 to 188.3.65.30188.3.65.312
73188.3.65.32/30188.3.65.33 to 188.3.65.34188.3.65.352
74188.3.65.36/30188.3.65.37 to 188.3.65.38188.3.65.392
75188.3.65.40/30188.3.65.41 to 188.3.65.42188.3.65.432
76188.3.65.44/30188.3.65.45 to 188.3.65.46188.3.65.472
77188.3.65.48/30188.3.65.49 to 188.3.65.50188.3.65.512
78188.3.65.52/30188.3.65.53 to 188.3.65.54188.3.65.552
79188.3.65.56/30188.3.65.57 to 188.3.65.58188.3.65.592
80188.3.65.60/30188.3.65.61 to 188.3.65.62188.3.65.632
81188.3.65.64/30188.3.65.65 to 188.3.65.66188.3.65.672
82188.3.65.68/30188.3.65.69 to 188.3.65.70188.3.65.712
83188.3.65.72/30188.3.65.73 to 188.3.65.74188.3.65.752
84188.3.65.76/30188.3.65.77 to 188.3.65.78188.3.65.792
85188.3.65.80/30188.3.65.81 to 188.3.65.82188.3.65.832
86188.3.65.84/30188.3.65.85 to 188.3.65.86188.3.65.872
87188.3.65.88/30188.3.65.89 to 188.3.65.90188.3.65.912
88188.3.65.92/30188.3.65.93 to 188.3.65.94188.3.65.952
89188.3.65.96/30188.3.65.97 to 188.3.65.98188.3.65.992
90188.3.65.100/30188.3.65.101 to 188.3.65.102188.3.65.1032
91188.3.65.104/30188.3.65.105 to 188.3.65.106188.3.65.1072
92188.3.65.108/30188.3.65.109 to 188.3.65.110188.3.65.1112
93188.3.65.112/30188.3.65.113 to 188.3.65.114188.3.65.1152
94188.3.65.116/30188.3.65.117 to 188.3.65.118188.3.65.1192
95188.3.65.120/30188.3.65.121 to 188.3.65.122188.3.65.1232
96188.3.65.124/30188.3.65.125 to 188.3.65.126188.3.65.1272
97188.3.65.128/30188.3.65.129 to 188.3.65.130188.3.65.1312
98188.3.65.132/30188.3.65.133 to 188.3.65.134188.3.65.1352
99188.3.65.136/30188.3.65.137 to 188.3.65.138188.3.65.1392
100188.3.65.140/30188.3.65.141 to 188.3.65.142188.3.65.1432
101188.3.65.144/30188.3.65.145 to 188.3.65.146188.3.65.1472
102188.3.65.148/30188.3.65.149 to 188.3.65.150188.3.65.1512
103188.3.65.152/30188.3.65.153 to 188.3.65.154188.3.65.1552
104188.3.65.156/30188.3.65.157 to 188.3.65.158188.3.65.1592
105188.3.65.160/30188.3.65.161 to 188.3.65.162188.3.65.1632
106188.3.65.164/30188.3.65.165 to 188.3.65.166188.3.65.1672
107188.3.65.168/30188.3.65.169 to 188.3.65.170188.3.65.1712
108188.3.65.172/30188.3.65.173 to 188.3.65.174188.3.65.1752
109188.3.65.176/30188.3.65.177 to 188.3.65.178188.3.65.1792
110188.3.65.180/30188.3.65.181 to 188.3.65.182188.3.65.1832
111188.3.65.184/30188.3.65.185 to 188.3.65.186188.3.65.1872
112188.3.65.188/30188.3.65.189 to 188.3.65.190188.3.65.1912
113188.3.65.192/30188.3.65.193 to 188.3.65.194188.3.65.1952
114188.3.65.196/30188.3.65.197 to 188.3.65.198188.3.65.1992
115188.3.65.200/30188.3.65.201 to 188.3.65.202188.3.65.2032
116188.3.65.204/30188.3.65.205 to 188.3.65.206188.3.65.2072
117188.3.65.208/30188.3.65.209 to 188.3.65.210188.3.65.2112
118188.3.65.212/30188.3.65.213 to 188.3.65.214188.3.65.2152
119188.3.65.216/30188.3.65.217 to 188.3.65.218188.3.65.2192
120188.3.65.220/30188.3.65.221 to 188.3.65.222188.3.65.2232
121188.3.65.224/30188.3.65.225 to 188.3.65.226188.3.65.2272
122188.3.65.228/30188.3.65.229 to 188.3.65.230188.3.65.2312
123188.3.65.232/30188.3.65.233 to 188.3.65.234188.3.65.2352
124188.3.65.236/30188.3.65.237 to 188.3.65.238188.3.65.2392
125188.3.65.240/30188.3.65.241 to 188.3.65.242188.3.65.2432
126188.3.65.244/30188.3.65.245 to 188.3.65.246188.3.65.2472
127188.3.65.248/30188.3.65.249 to 188.3.65.250188.3.65.2512
128188.3.65.252/30188.3.65.253 to 188.3.65.254188.3.65.2552
129188.3.66.0/30188.3.66.1 to 188.3.66.2188.3.66.32
130188.3.66.4/30188.3.66.5 to 188.3.66.6188.3.66.72
131188.3.66.8/30188.3.66.9 to 188.3.66.10188.3.66.112
132188.3.66.12/30188.3.66.13 to 188.3.66.14188.3.66.152
133188.3.66.16/30188.3.66.17 to 188.3.66.18188.3.66.192
134188.3.66.20/30188.3.66.21 to 188.3.66.22188.3.66.232
135188.3.66.24/30188.3.66.25 to 188.3.66.26188.3.66.272
136188.3.66.28/30188.3.66.29 to 188.3.66.30188.3.66.312
137188.3.66.32/30188.3.66.33 to 188.3.66.34188.3.66.352
138188.3.66.36/30188.3.66.37 to 188.3.66.38188.3.66.392
139188.3.66.40/30188.3.66.41 to 188.3.66.42188.3.66.432
140188.3.66.44/30188.3.66.45 to 188.3.66.46188.3.66.472
141188.3.66.48/30188.3.66.49 to 188.3.66.50188.3.66.512
142188.3.66.52/30188.3.66.53 to 188.3.66.54188.3.66.552
143188.3.66.56/30188.3.66.57 to 188.3.66.58188.3.66.592
144188.3.66.60/30188.3.66.61 to 188.3.66.62188.3.66.632
145188.3.66.64/30188.3.66.65 to 188.3.66.66188.3.66.672
146188.3.66.68/30188.3.66.69 to 188.3.66.70188.3.66.712
147188.3.66.72/30188.3.66.73 to 188.3.66.74188.3.66.752
148188.3.66.76/30188.3.66.77 to 188.3.66.78188.3.66.792
149188.3.66.80/30188.3.66.81 to 188.3.66.82188.3.66.832
150188.3.66.84/30188.3.66.85 to 188.3.66.86188.3.66.872
151188.3.66.88/30188.3.66.89 to 188.3.66.90188.3.66.912
152188.3.66.92/30188.3.66.93 to 188.3.66.94188.3.66.952
153188.3.66.96/30188.3.66.97 to 188.3.66.98188.3.66.992
154188.3.66.100/30188.3.66.101 to 188.3.66.102188.3.66.1032
155188.3.66.104/30188.3.66.105 to 188.3.66.106188.3.66.1072
156188.3.66.108/30188.3.66.109 to 188.3.66.110188.3.66.1112
157188.3.66.112/30188.3.66.113 to 188.3.66.114188.3.66.1152
158188.3.66.116/30188.3.66.117 to 188.3.66.118188.3.66.1192
159188.3.66.120/30188.3.66.121 to 188.3.66.122188.3.66.1232
160188.3.66.124/30188.3.66.125 to 188.3.66.126188.3.66.1272
161188.3.66.128/30188.3.66.129 to 188.3.66.130188.3.66.1312
162188.3.66.132/30188.3.66.133 to 188.3.66.134188.3.66.1352
163188.3.66.136/30188.3.66.137 to 188.3.66.138188.3.66.1392
164188.3.66.140/30188.3.66.141 to 188.3.66.142188.3.66.1432
165188.3.66.144/30188.3.66.145 to 188.3.66.146188.3.66.1472
166188.3.66.148/30188.3.66.149 to 188.3.66.150188.3.66.1512
167188.3.66.152/30188.3.66.153 to 188.3.66.154188.3.66.1552
168188.3.66.156/30188.3.66.157 to 188.3.66.158188.3.66.1592
169188.3.66.160/30188.3.66.161 to 188.3.66.162188.3.66.1632
170188.3.66.164/30188.3.66.165 to 188.3.66.166188.3.66.1672
171188.3.66.168/30188.3.66.169 to 188.3.66.170188.3.66.1712
172188.3.66.172/30188.3.66.173 to 188.3.66.174188.3.66.1752
173188.3.66.176/30188.3.66.177 to 188.3.66.178188.3.66.1792
174188.3.66.180/30188.3.66.181 to 188.3.66.182188.3.66.1832
175188.3.66.184/30188.3.66.185 to 188.3.66.186188.3.66.1872
176188.3.66.188/30188.3.66.189 to 188.3.66.190188.3.66.1912
177188.3.66.192/30188.3.66.193 to 188.3.66.194188.3.66.1952
178188.3.66.196/30188.3.66.197 to 188.3.66.198188.3.66.1992
179188.3.66.200/30188.3.66.201 to 188.3.66.202188.3.66.2032
180188.3.66.204/30188.3.66.205 to 188.3.66.206188.3.66.2072
181188.3.66.208/30188.3.66.209 to 188.3.66.210188.3.66.2112
182188.3.66.212/30188.3.66.213 to 188.3.66.214188.3.66.2152
183188.3.66.216/30188.3.66.217 to 188.3.66.218188.3.66.2192
184188.3.66.220/30188.3.66.221 to 188.3.66.222188.3.66.2232
185188.3.66.224/30188.3.66.225 to 188.3.66.226188.3.66.2272
186188.3.66.228/30188.3.66.229 to 188.3.66.230188.3.66.2312
187188.3.66.232/30188.3.66.233 to 188.3.66.234188.3.66.2352
188188.3.66.236/30188.3.66.237 to 188.3.66.238188.3.66.2392
189188.3.66.240/30188.3.66.241 to 188.3.66.242188.3.66.2432
190188.3.66.244/30188.3.66.245 to 188.3.66.246188.3.66.2472
191188.3.66.248/30188.3.66.249 to 188.3.66.250188.3.66.2512
192188.3.66.252/30188.3.66.253 to 188.3.66.254188.3.66.2552
193188.3.67.0/30188.3.67.1 to 188.3.67.2188.3.67.32
194188.3.67.4/30188.3.67.5 to 188.3.67.6188.3.67.72
195188.3.67.8/30188.3.67.9 to 188.3.67.10188.3.67.112
196188.3.67.12/30188.3.67.13 to 188.3.67.14188.3.67.152
197188.3.67.16/30188.3.67.17 to 188.3.67.18188.3.67.192
198188.3.67.20/30188.3.67.21 to 188.3.67.22188.3.67.232
199188.3.67.24/30188.3.67.25 to 188.3.67.26188.3.67.272
200188.3.67.28/30188.3.67.29 to 188.3.67.30188.3.67.312
201188.3.67.32/30188.3.67.33 to 188.3.67.34188.3.67.352
202188.3.67.36/30188.3.67.37 to 188.3.67.38188.3.67.392
203188.3.67.40/30188.3.67.41 to 188.3.67.42188.3.67.432
204188.3.67.44/30188.3.67.45 to 188.3.67.46188.3.67.472
205188.3.67.48/30188.3.67.49 to 188.3.67.50188.3.67.512
206188.3.67.52/30188.3.67.53 to 188.3.67.54188.3.67.552
207188.3.67.56/30188.3.67.57 to 188.3.67.58188.3.67.592
208188.3.67.60/30188.3.67.61 to 188.3.67.62188.3.67.632
209188.3.67.64/30188.3.67.65 to 188.3.67.66188.3.67.672
210188.3.67.68/30188.3.67.69 to 188.3.67.70188.3.67.712
211188.3.67.72/30188.3.67.73 to 188.3.67.74188.3.67.752
212188.3.67.76/30188.3.67.77 to 188.3.67.78188.3.67.792
213188.3.67.80/30188.3.67.81 to 188.3.67.82188.3.67.832
214188.3.67.84/30188.3.67.85 to 188.3.67.86188.3.67.872
215188.3.67.88/30188.3.67.89 to 188.3.67.90188.3.67.912
216188.3.67.92/30188.3.67.93 to 188.3.67.94188.3.67.952
217188.3.67.96/30188.3.67.97 to 188.3.67.98188.3.67.992
218188.3.67.100/30188.3.67.101 to 188.3.67.102188.3.67.1032
219188.3.67.104/30188.3.67.105 to 188.3.67.106188.3.67.1072
220188.3.67.108/30188.3.67.109 to 188.3.67.110188.3.67.1112
221188.3.67.112/30188.3.67.113 to 188.3.67.114188.3.67.1152
222188.3.67.116/30188.3.67.117 to 188.3.67.118188.3.67.1192
223188.3.67.120/30188.3.67.121 to 188.3.67.122188.3.67.1232
224188.3.67.124/30188.3.67.125 to 188.3.67.126188.3.67.1272
225188.3.67.128/30188.3.67.129 to 188.3.67.130188.3.67.1312
226188.3.67.132/30188.3.67.133 to 188.3.67.134188.3.67.1352
227188.3.67.136/30188.3.67.137 to 188.3.67.138188.3.67.1392
228188.3.67.140/30188.3.67.141 to 188.3.67.142188.3.67.1432
229188.3.67.144/30188.3.67.145 to 188.3.67.146188.3.67.1472
230188.3.67.148/30188.3.67.149 to 188.3.67.150188.3.67.1512
231188.3.67.152/30188.3.67.153 to 188.3.67.154188.3.67.1552
232188.3.67.156/30188.3.67.157 to 188.3.67.158188.3.67.1592
233188.3.67.160/30188.3.67.161 to 188.3.67.162188.3.67.1632
234188.3.67.164/30188.3.67.165 to 188.3.67.166188.3.67.1672
235188.3.67.168/30188.3.67.169 to 188.3.67.170188.3.67.1712
236188.3.67.172/30188.3.67.173 to 188.3.67.174188.3.67.1752
237188.3.67.176/30188.3.67.177 to 188.3.67.178188.3.67.1792
238188.3.67.180/30188.3.67.181 to 188.3.67.182188.3.67.1832
239188.3.67.184/30188.3.67.185 to 188.3.67.186188.3.67.1872
240188.3.67.188/30188.3.67.189 to 188.3.67.190188.3.67.1912
241188.3.67.192/30188.3.67.193 to 188.3.67.194188.3.67.1952
242188.3.67.196/30188.3.67.197 to 188.3.67.198188.3.67.1992
243188.3.67.200/30188.3.67.201 to 188.3.67.202188.3.67.2032
244188.3.67.204/30188.3.67.205 to 188.3.67.206188.3.67.2072
245188.3.67.208/30188.3.67.209 to 188.3.67.210188.3.67.2112
246188.3.67.212/30188.3.67.213 to 188.3.67.214188.3.67.2152
247188.3.67.216/30188.3.67.217 to 188.3.67.218188.3.67.2192
248188.3.67.220/30188.3.67.221 to 188.3.67.222188.3.67.2232
249188.3.67.224/30188.3.67.225 to 188.3.67.226188.3.67.2272
250188.3.67.228/30188.3.67.229 to 188.3.67.230188.3.67.2312
251188.3.67.232/30188.3.67.233 to 188.3.67.234188.3.67.2352
252188.3.67.236/30188.3.67.237 to 188.3.67.238188.3.67.2392
253188.3.67.240/30188.3.67.241 to 188.3.67.242188.3.67.2432
254188.3.67.244/30188.3.67.245 to 188.3.67.246188.3.67.2472
255188.3.67.248/30188.3.67.249 to 188.3.67.250188.3.67.2512
256188.3.67.252/30188.3.67.253 to 188.3.67.254188.3.67.2552

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses